:root {
    --color-bg: #F2F2F2;
    --color-primary: #252359;
    --color-secondary: #BF726B;
    --color-border: #979797;
    --color-dark: #5C5C5C;
    --color-hover: #E6E6E6;
    --color-white: #FFFFFF;
    --color-shadow: rgba(0, 0, 0, 0.3);
    --color-shadow-light: rgba(0, 0, 0, 0.1);

    --radius-sm: 6px;
    --radius-md: 10px;
    --radius-lg: 20px;

    --padding-sm: 5px;
    --padding-md: 8px;
    --padding-lg: 10px;
    --padding-xl: 20px;
    --padding-xxl: 50px;

    --font-family: 'Poppins', sans-serif;
    --font-size-sm: 0.9rem;
    --font-size-sm-2: 0.8rem;
    --transition-speed: 0.3s;
}

/* Reset & Base Styles */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: var(--font-family);
    background-color: var(--color-bg);
}

.main {
    width: 100%;
    max-width: 1000px;
    margin: 0 auto;
    padding: var(--padding-xl);
}

h1 {
    text-align: center;
    margin-bottom: var(--padding-xxl);
    font-size: 1.875rem;
    color: var(--color-primary);
    display: flex;
    flex-direction: column;
}
h1 span{
    font-size: 1rem;
    font-weight: 400;
    margin-top: var(--padding-sm);
}

/* Input Spinner Removal */
input[type=number]::-webkit-outer-spin-button,
input[type=number]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
input[type=number] {
    -moz-appearance: textfield;
}

/* Layout */
.row {
    width: 100%;
    display: flex;
}
.col {
    display: flex;
    flex-direction: column;
}

.cal-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-radius: var(--radius-lg);
    box-shadow: 0 0 10px var(--color-shadow);
    background-color: var(--color-white);
    padding: var(--padding-xl);
    margin-top: var(--padding-xxl);
}

.cal-container .col {
    min-height: 300px;
}

.cal-container .col.column-1 {
    width: 60%;
}
.cal-container .col.column-2 {
    width: 40%;
    color: var(--color-white);
    padding: var(--padding-xl);
    border-radius: var(--radius-md);
}

.cal-container .col.column-2 canvas{
    margin: auto;
}

.input-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    margin-bottom: 20px;
    padding: 5px 10px;
    border-radius: 8px;
}
.input-container .error-msg{
    color: red;
    font-size: var(--font-size-sm-2);
    margin: 5px auto 0px auto;
    display: none;
    text-align: center;
}
.input-container.if-error{
    background: #ffd3d3;
}
.input-container.if-error .error-msg{
    display: block;
}

.input-group {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.input-group input {
    --width: 200px;
    width: var(--width);
    min-width: var(--width);
    padding: var(--padding-md) var(--padding-xl);
    text-align: center;
    outline: none;
    border-radius: var(--radius-md);
    border: 1px solid var(--color-border);
    background-color: var(--color-white);
    color: var(--color-primary);
}
.input-group .res-columns{
    display: flex;
    justify-content: space-between;
    width: 350px;
    min-width: 350px;
    gap: 5px;
}
.currency-symbol.small::after{
    left: 5px;
    width: 10px;
    height: 10px;
}
.input-group .res-columns input{
    font-size: 12px;
    padding: 7px 0px;
}
.input-group .res-columns.header{
    font-weight: 600;
    text-align: center;
}
.input-group .res-columns .column-1{
    width: 110px !important;
    min-width: 110px !important;
}
.input-group .res-columns .column-2{
    width: 110px !important;
    min-width: 110px !important;
}
.input-group .res-columns .column-3{
    width: 110px !important;
    min-width: 110px !important;
}

#expected-return-slider {
    margin-top: 10px;
}

/* Stylish Range Slider */
input[type=range] {
    accent-color: var(--color-primary);
}
input[type="range"] {
    -webkit-appearance: none;
    width: 100%;
    height: 6px;
    background: #e9e9e9;
    border: 1px solid var(--color-border);
    border-radius: 5px;
    outline: none;
    transition: background-color var(--transition-speed);
    margin-top: 15px;
  }
  
  /* Track (WebKit) */
  input[type="range"]::-webkit-slider-runnable-track {
    height: 6px;
    /* background: var(--color-dark); */
    border-radius: 5px;
  }
  
  /* Thumb (WebKit) */
  input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    height: 18px;
    width: 18px;
    border-radius: 50%;
    background: var(--color-primary);
    cursor: pointer;
    transition: background-color var(--transition-speed);
    margin-top: -6px; /* align thumb vertically */
  }
  
  /* Hover effect */
  input[type="range"]:hover::-webkit-slider-thumb {
    background: var(--color-secondary);
  }
  input[type="range"]:hover::-webkit-slider-runnable-track {
    /* background: var(--color-secondary); */
  }
  

  
  


.btn-wrapper {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
}
.btn-wrapper.email-btn-wrapper{
    margin-top: 30px;
}

.btn-wrapper button {
    /* width: 150px; */
    padding: var(--padding-lg) var(--padding-xxl);
    border: none;
    border-radius: var(--radius-md);
    background-color: var(--color-primary);
    color: var(--color-white);
    font-size: 16px;
    cursor: pointer;
    transition: background-color var(--transition-speed) ease;
    margin-bottom: 30px;
}
.btn-wrapper button:hover {
    background-color: var(--color-secondary);
}

.seperator {
    width: 100%;
    height: 1px;
    background-color: var(--color-border);
    box-shadow: 2px 2px 5px var(--color-shadow-light);
    margin: 0 auto 40px auto;
}

.output-error-msg{
    color: red;
    font-size: var(--font-size-sm-2);
    margin: -15px auto 25px auto;
    display: none;
    text-align: center;
}

.output-error-msg.show{
    display: block;
}


/* Currency Symbol */
.currency-symbol {
    position: relative;
}

.currency-symbol::after {
    content: '';
    position: absolute;
    top: 50%;
    left: 10px;
    width: 14px;
    height: 14px;
    transform: translateY(-50%);
    background-repeat: no-repeat;
    background-size: contain;
    pointer-events: none;
    opacity: 0.6;
}

/* Indian Rupee */
.currency-symbol.ind-symbol::after {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 320 512'%3E%3Cpath d='M308 96c6.6 0 12-5.4 12-12V44c0-6.6-5.4-12-12-12H12C5.4 32 0 37.4 0 44v44.7c0 6.6 5.4 12 12 12h85.3c27.3 0 48.3 10 61 27.3H12c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h158.8c-6.2 36.1-33 58.6-74.8 58.6H12c-6.6 0-12 5.4-12 12v53c0 3.3 1.4 6.5 3.9 8.8l165.1 152.4a12 12 0 0 0 8.1 3.2h82.6c10.9 0 16.2-13.4 8.1-20.8L116.9 319.9c76.5-2.3 131.1-53.4 138.3-127.9H308c6.6 0 12-5.4 12-12v-40c0-6.6-5.4-12-12-12h-58.7c-3.5-11.5-8.3-22.2-14.3-32H308z'/%3E%3C/svg%3E");
}

/* US Dollar */
.currency-symbol.usd-symbol::after {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 288 512'%3E%3Cpath d='M209.2 233.4l-108-31.6C88.7 198.2 80 186.5 80 173.5c0-16.3 13.2-29.5 29.5-29.5h66.3c12.2 0 24.2 3.7 34.2 10.5 6.1 4.1 14.3 3.1 19.5-2l34.8-34c7.1-6.9 6.1-18.4-1.8-24.5C238 74.8 207.4 64.1 176 64V16c0-8.8-7.2-16-16-16h-32c-8.8 0-16 7.2-16 16v48h-2.5C45.8 64-5.4 118.7 .5 183.6c4.2 46.1 39.4 83.6 83.8 96.6l102.5 30c12.5 3.7 21.2 15.3 21.2 28.3 0 16.3-13.2 29.5-29.5 29.5h-66.3C100 368 88 364.3 78 357.5c-6.1-4.1-14.3-3.1-19.5 2l-34.8 34c-7.1 6.9-6.1 18.4 1.8 24.5 24.5 19.2 55.1 29.9 86.5 30v48c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16v-48.2c46.6-.9 90.3-28.6 105.7-72.7 21.5-61.6-14.6-124.8-72.5-141.7z'/%3E%3C/svg%3E");
}

/* Euro */
.currency-symbol.eur-symbol::after {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 320 512'%3E%3Cpath d='M310.7 413.8c-1.3-6.6-7.8-10.9-14.4-9.4-10.7 2.4-27.4 5.4-45.4 5.4-56.8 0-101.9-34.8-121.5-85.4h113.7a12 12 0 0 0 11.7-9.4l6.4-28.4c1.7-7.5-4-14.6-11.7-14.6H115.2c-1.2-14.3-1.4-28.3 .1-42.2H262a12 12 0 0 0 11.7-9.4l6.5-29.8c1.6-7.5-4.1-14.6-11.7-14.6H130.2c20.6-45 62.7-75 117.6-75 14.5 0 28.6 2.3 37.9 4.1 6.2 1.3 12.3-2.5 14-8.6l12-44.4c1.8-6.7-2.5-13.6-9.3-14.9C290.2 34.9 270.7 32 249.6 32 152.5 32 74 92.3 45.1 176H12c-6.6 0-12 5.4-12 12v29.8c0 6.6 5.4 12 12 12h21.6c-1 13.6-1.2 29.3-.2 42.2H12c-6.6 0-12 5.4-12 12v28.4c0 6.6 5.4 12 12 12h30.1C67.1 414.7 145.3 480 249.6 480c26.3 0 48.6-4.5 61.1-7.8 6.2-1.6 10-7.7 8.8-14l-8.8-44.5z'/%3E%3C/svg%3E");
}



/* Custom Combo Select */
.combo-wrapper {
    position: relative;
    width: 200px;
}

.combo-wrapper::before {
    content: '';
    position: absolute;
    top: 50%;
    right: 10px;
    width: 12px;
    height: 12px;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 320 512'%3E%3Cpath d='M143 352.3L7 216.3c-9.4-9.4-9.4-24.6 0-33.9l22.6-22.6c9.4-9.4 24.6-9.4 33.9 0l96.4 96.4 96.4-96.4c9.4-9.4 24.6-9.4 33.9 0l22.6 22.6c9.4 9.4 9.4 24.6 0 33.9l-136 136c-9.2 9.4-24.4 9.4-33.8 0z'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-size: contain;
    transform: translateY(-50%);
    pointer-events: none;
    opacity: 0.6;
}

.combo-wrapper .combo-input {
    width: 100%;
    padding: var(--padding-md) var(--padding-xl);
    text-align: center;
    outline: none;
    border: 1px solid var(--color-border);
    border-radius: var(--radius-md);
    cursor: default;
}

.combo-wrapper .combo-options {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    border: 1px solid #ccc;
    max-height: 150px;
    overflow-y: auto;
    background: var(--color-white);
    display: none;
    z-index: 999;
}

.combo-wrapper .combo-options div {
    padding: var(--padding-md);
    font-size: var(--font-size-sm);
    text-align: center;
}

.combo-wrapper .combo-options div:hover {
    background-color: var(--color-hover);
}

/* Currency Selector */
.currency-selector-container {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    margin-bottom: var(--padding-xl);
    font-size: var(--font-size-sm);
    width: 100%;
}
.currency-selector-container label{
    margin-right: 5px;
}

.currency-toggle-group {
    display: flex;
    border-radius: var(--radius-md);
    overflow: hidden;
}

.currency-toggle {
    padding: 7px 10px;
    border: 1px solid var(--color-primary);
    background-color: var(--color-primary);
    color: var(--color-white);
    border-radius: 0;
    cursor: pointer;
    font-size: inherit;
    transition: background-color 0.2s ease;
}

.currency-toggle:hover {
    background-color: var(--color-secondary);
    border-color: var(--color-secondary);
}

.currency-toggle.active {
    background-color: var(--color-secondary);
    color: white;
    border-color: var(--color-secondary);
}

/* Frequency Selector */
.frequency-selector-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: var(--padding-xl);
    width: 100%;
}
.frequency-selector-container label{
    margin-right: 5px;
}

.frequency-toggle-group {
    display: flex;
    border-radius: var(--radius-md);
    overflow: hidden;
    font-size: var(--font-size-sm);
}

.frequency-toggle {
    padding: 7px 7px;
    border: 1px solid var(--color-primary);
    background-color: var(--color-primary);
    color: var(--color-white);
    border-radius: 0;
    cursor: pointer;
    font-size: inherit;
    transition: background-color 0.2s ease;
}

.frequency-toggle:hover {
    background-color: var(--color-secondary);
    border-color: var(--color-secondary);
}

.frequency-toggle.active {
    background-color: var(--color-secondary);
    color: white;
    border-color: var(--color-secondary);
}


.name-for-pdf{
    display: none;
    margin-bottom: 20px;
}



/* Email Modal */
.modal {
    display: none;
    position: fixed;
    z-index: 999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.7);
}

.modal-content {
    background-color: #fefefe;
    width: 300px;
    padding: 20px;
    border-radius: 10px;
    text-align: center;
    position: relative;
    margin: auto;
    top: 50%;
    transform: translateY(-50%);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    animation: dropdown 0.4s ease-out;
}

@keyframes dropdown {
    from {
        transform: translateY(-200px);
        opacity: 0;
    }
    to {
        transform: translateY(-50%);
        opacity: 1;
    }
}

.modal-content h2 {
    margin-bottom: 25px;
}

.modal-content .input-group {
    margin-bottom: 10px;
}
.modal-content .input-group input{
    width: 100% !important;
}

.modal-content p {
    margin-bottom: 25px;
}

.modal-content .btn-wrapper button {
    margin-bottom: 0px;
}

.modal .close{
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
    cursor: pointer;
    position: absolute;
    top: 5px;
    right: 10px;
}
.modal .close:hover{
    transition: all 0.3s ease-in;
    color: red;
}
/* Email Modal */


@media screen and (max-width: 900px){
    .cal-container .col.column-1 {
        width: 55%;
    }
    .cal-container .col.column-2 {
        width: 45%;
    }
    .input-group label{
        font-size: var(--font-size-sm);
    }
    .btn-wrapper{
        flex-direction: column;
        gap: 10px;
        margin-bottom: 30px;
    }
    .btn-wrapper button{
        margin-bottom: 0px;
    }            
    .input-group .res-columns{
        width: 300px;
        min-width: 300px;
    }
}

@media screen and (max-width: 800px){
    .input-group label{
        font-size: var(--font-size-sm-2);
    }
    .combo-wrapper,
    .input-group input{
        --width: 150px;
        width: var(--width);
        min-width: var(--width);
    }
}
@media screen and (max-width: 768px){
    .cal-container .col.column-1 ,
    .cal-container .col.column-2 {
        width: 50%;
    }
    .combo-wrapper, .input-group input,
    .combo-wrapper .combo-input{
        font-size: var(--font-size-sm-2);
    }
    .combo-wrapper,
    .input-group input{
        --width: 135px;
        width: var(--width);
        min-width: var(--width);
    }
    .currency-selector-container{
        justify-content: center;
    }
}
@media screen and (max-width: 700px){
    .cal-container .col.column-1 ,
    .cal-container .col.column-2 {
        width: 70%;
    }
    .cal-container .row{
        flex-direction: column;
        align-items: center;
    }
}
@media screen and (max-width: 600px){
    .cal-container .col.column-1 ,
    .cal-container .col.column-2 {
        width: 80%;
    }
    
}
@media screen and (max-width: 550px){
    .cal-container .col.column-1 ,
    .cal-container .col.column-2 {
        width: 90%;
    }
    .cal-container .col.column-2{
        padding: var(--padding-sm);
    }
    .result-output.negative::before{
        font-size: 66%;
        bottom: -25px;
    }
    .currency-symbol::after{
        left: 6px;
        width: 10px;
        height: 12px;
    }    
    .combo-wrapper,
    .input-group input{
        font-size: 11px;
        padding: var(--padding-md) 0;        
    }        
}
@media screen and (max-width: 480px){
    .cal-container .col.column-1 ,
    .cal-container .col.column-2 {
        width: 100%;
    }
    .input-group.res-col{
        flex-direction: column;
        gap: 5px;
    }
    .input-group .res-columns{
        width: 100%;
        min-width: 100%;
    }
    .input-group .res-columns .column-1{
        width: 90px !important;
        min-width: 90px !important;
    }
    .input-group .res-columns .column-2{
        width: 90px !important;
        min-width: 90px !important;
    }
    .input-group .res-columns .column-3{
        width: 90px !important;
        min-width: 90px !important;
    }    
}
@media screen and (max-width: 400px){
    .combo-wrapper,
    .input-group input{
        --width: 120px;
        width: var(--width);
        min-width: var(--width);
    }
}
@media screen and (max-width: 375px){
    .main{
        padding: var(--padding-md);
    }
    .modal-content {
        width: 95%;
    }
}
@media screen and (max-width: 300px){
    .cal-container{
        padding: var(--padding-xxl) var(--padding-sm);
    }
    .input-group{
        flex-direction: column;
    }
    .input-group label{
        margin-bottom: 8px;
    }
}